import React, { useState } from "react";
import DatePicker from "react-datepicker";
import "./react-datepicker.css";
import { addDays } from 'date-fns';

export const CustomDatepicker = (props) => {
  const [startDate, setStartDate] = useState(null);

  const [monthDate, setMonthDate] = useState(new Date());
  const [yearDate, setYearDate] = useState(new Date());

  const renderDayContents = (day, date) => {
    return (
      <span
        style={
          date.getDay() == 0 || date.getDay() == 6 ? { color: "red" } : null
        }
      >
        {day}
      </span>
    );
  };

  const ExampleCustomInput = React.forwardRef(({ onClick }, ref) => (
    <button className="example-custom-input" onClick={onClick} ref={ref}>
      { monthDate==undefined && yearDate==undefined ? new Date().toLocaleString("default", { month: "long" }) + " " +
        new Date().getFullYear() :
        monthDate.toLocaleString("default", { month: "long" }) +
        " " +
        yearDate.getFullYear()}
    </button>
  ));
// console.log(props.label)
  return (
   
     <div class="col-3">
        <label>{props.label}</label>
      <DatePicker
        renderCustomHeader={({ changeYear, changeMonth }) => (
          <div>
            <DatePicker
              selected={monthDate}
              customInput={<ExampleCustomInput />}
              showMonthYearPicker
              onChange={(e) => { 
                changeMonth(e.getMonth());
                setMonthDate(e);
                changeYear(e.getFullYear());
                setYearDate(e);
              }}
            ></DatePicker>
          </div>
        )}
        maxDate={addDays(new Date(), 0)}
        // isClearable
        className={props.className}
      
        selected={startDate}
        onChange={(date) => props.changeDate(date) || setStartDate(date) ||  setMonthDate(date) || setYearDate(date)}
        renderDayContents={renderDayContents}
      />
      </div>
   
  );
};

export default CustomDatepicker;
