import React, { useState } from "react";
import DatePicker from "react-datepicker";
import "./react-datepicker.css";
import { addDays } from 'date-fns';


  
export const CustomTime= (props) => {

    const [startDate, setStartDate] = useState(null);

    const [monthDate, setMonthDate] = useState(new Date());
    const [yearDate, setYearDate] = useState(new Date());

    const renderDayContents = (day, date) => {
      return (
        <span
          style={
            date.getDay() == 0 || date.getDay() == 6 ? { color: "red" } : null
          }
        >
          {day}
        </span>
      );
    };

    const ExampleCustomInput = React.forwardRef(({ onClick }, ref) => (
      <button className="example-custom-input" onClick={onClick} ref={ref}>
        { monthDate==undefined && yearDate==undefined ? new Date().toLocaleString("default", { month: "long" }) + " " +
          new Date().getFullYear() :
          monthDate.toLocaleString("default", { month: "long" }) +
          " " +
          yearDate.getFullYear()}
      </button>
    ));


    //**********   Future Time validation  ************************ / 

    const filterPassedTime = (time) => {
      const currentDate = new Date();
      const selectedDate = new Date(time);
  
      return currentDate.getTime() > selectedDate.getTime();
    };


    return (
        <div class="col-3">
        <label>{props.label}</label>
      
      <DatePicker
         className={props.className}
         selected={startDate}
         onChange={(date) => props.changeDate(date) || setStartDate(date) ||  setMonthDate(date) || setYearDate(date)}
         showTimeSelect
         maxDate={addDays(new Date(), 0)}
         filterTime={filterPassedTime}
         renderDayContents={renderDayContents}
         dateFormat="MMMM d, yyyy h:mm aa"
      ></DatePicker>
    

      </div>
      
    );
  };


// export default CustomTime;


