import React, { useState } from 'react';
import { storiesOf } from '@storybook/react';
import{Button} from '../components/Button';
import CustomButton from '../components/Button/CustomButton';
import TextField from '../components/Loader/Loader';
import CustomCheckBox from '../components/CustomCheckbox/CustomCheckBox';
import Errors from '../components/Errors/Errors';
import CustomRadioButton from '../components/RadioButton/CustomRadioButton';
import Loader from '../components/Loader/Loader';
import '../CSS/_custom.css';

const stories = storiesOf('App Test', module);

stories.add('CustomButton', () => {

  return (
    <>
      <CustomButton/>
    </>
  );
}); 

stories.add('Loader', () => {

  return (
    <>
      <Loader/>
    </>
  );
}); 

stories.add('CheckBox', () => {

  return (
    <>
      <CustomCheckBox CheckBoxLabel={"Me"} CheckBoxValues={"Me"} CheckedbyDefault={"true"}/>
    </>
  );
}); 

stories.add('Errors', () => {

  return (
    <>
      <Errors msg="Error Occurred"/>
    </>
  );
}); 

stories.add('RadionButton', () => {

  return (
    <>
      <CustomRadioButton ButtonLabel={"Male"} ButtonValues={"Male"} CheckedbyDefault={"true"}/>
      <CustomRadioButton ButtonLabel={"Female"} ButtonValues={"Female"} CheckedbyDefault={"true"}/>
    </>
  );
}); 

