import React, { useState , createContext} from 'react';
import { storiesOf } from '@storybook/react';
import { CustomTextField, TextField } from '../components/TextField';
import '../CSS/_custom.css';
import '../styles.css';
import Kendo_Grid from '../components/KendoGrid/Kendo_Grid';
import '@progress/kendo-theme-default/dist/all.css';
import KendoGridHeader from '../components/GridHeader/KendoGridHeader';

const stories = storiesOf('Text Field', module);
const FirstName = createContext();

//////////////////////////Column Grid Functionality


let data = [
  {
    Id: 1,
    FIRST_NAME: "Jawad",
    LAST_NAME: "Ahmed"
  },
  {
    Id: 2,
    FIRST_NAME: "Jawad",
    LAST_NAME: "Khan"

  },
  {
    Id: 3,
    FIRST_NAME: "Habib",
    LAST_NAME: "Bhai"

  }
];

const columns = [{
  title: '',
  field: '',
  show: true,
  width: '0px',
  checkBox: true,
  customCell: false
},
{
  title: 'Last Name',
  field: 'LAST_NAME',
  show: true,
  width: '200px',
  checkBox: false,
  customCell: true

}, {
  title: 'First Name',
  field: 'FIRST_NAME',
  show: true,
  width: '200px',
  checkBox: false,
  customCell: false

},
];

//////////////////////////Button Functionality

function getEOD(){
  
alert("Get EOD Method!")

}

function getEODHistory(){

alert("Get EOD History Method!")
  
}

const buttons = [{
  title: "EOD",
  method: getEOD,
  width: 'auto',
},
{
  title: "EOD History",
  method: getEODHistory,
  width: 'auto',

}
];

async function testAlert(selctedState) {
var arr = (Object.keys(selctedState))  
let obj = [];
  for (let i = 0; i < arr.length; i++) {
    if (selctedState[arr[i]] == true) {
      let exist = (data.find(o => o.Id == arr[i]));
    obj.push(exist);
    }
  }
console.log(obj)
}

stories.add('TextField', () => {
  const [Practice, setPractice] = useState();


  return (
    <>
      <div className='row-form'>
        <TextField label={"Practice"} changeText={(Practice) => setPractice(Practice)} />
      </div>
    </>
  );
});

stories.add('CustomTextField', () => {


  return (
    <>
      <div className='row-form'>
        <CustomTextField label={"Location"} changeText={(Practice) => setPractice(Practice)} />
      </div>
    </>
  );
});

stories.add("Grids", () => {

  return (
    <>
      <FirstName.Provider value={"Jawad Ahmed"}>
      </FirstName.Provider>
      <KendoGridHeader KendoGridTitle={"Kendo Grid"} stateButtons={buttons}/>
      <Kendo_Grid data={data} total={200} callBack={testAlert} stateColumns={columns} />
    </>
  );
});

export {FirstName};

